AlignmentProcess (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.align
Interface AlignmentProcess

All Superinterfaces:
  Alignment, Cloneable, Iterable<Cell>, Visitable

All Known Implementing Classes:
  ClassStructAlignment, DistanceAlignment, EditDistNameAlignment, JWNLAlignment, NameAndPropertyAlignment, NameEqAlignment, SMOANameAlignment, StringDistAlignment, StrucSubsDistAlignment, SubsDistNameAlignment, WSAlignment

    public interface AlignmentProcess

extends Alignment

Represents an executable alignment

Version:
  $Id: AlignmentProcess.java 1189 2010-01-03 17:57:13Z euzenat $
Author:
  Jérôme Euzenat

Method Summary
`void` | `align(Alignment alignment, Properties param)` The align method computes the alignment from the ontologies.

Methods inherited from interface org.semanticweb.owl.align.Alignment
`addAlignCell, addAlignCell, clone, compose, cut, cut, diff, dump, getAlignCell1, getAlignCell2, getAlignCells1, getAlignCells2, getAlignedObject1, getAlignedObject2, getAlignedRelation1, getAlignedRelation2, getAlignedStrength1, getAlignedStrength2, getElements, getExtension, getExtensions, getFile1, getFile2, getLevel, getOntology1, getOntology1URI, getOntology2, getOntology2URI, getType, harden, init, init, inverse, iterator, join, meet, nbCells, remCell, render, setExtension, setFile1, setFile2, setLevel, setOntology1, setOntology2, setType`

Methods inherited from interface org.semanticweb.owl.align.Visitable
`accept`

Method Detail

### align

    void align(Alignment alignment,
               Properties param)
               throws AlignmentException

  The align method computes the alignment from the ontologies. It is hightly dependent on the implementation. It take an initial Alignment as input. TODO: a set of parameters should better be passed to the alignment method.

  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010